    
class ActionJoinSeznamAndOsmGuidepost < Action ## JSOG
  include Rails.application.routes.url_helpers # kvuli helperu v followup_url

  def setvars
    _, @osmid, @sezid = catid.split('|')
    @osm_guidepost = OsmGuidepost.find_by(osmid: @osmid)
    @sez_guidepost = SezGuidepost.find(@sezid)
    raise "[#{id}] OsmGuidepost mel bejt existing #{@osmid}" if @osm_guidepost.nil?
    raise "[#{id}] SezGuidepost mel bejt existing #{@sezid}" if @sez_guidepost.nil?
    @guidepost = @osm_guidepost.guidepost # může být nil pokud guidepost ještě neexistuje
    @short_action_name = 'připoj shodný sez a osm'
    @attrs = {
      action: linkify("připoj shodný #{@sez_guidepost} a #{@osm_guidepost}"),
      followup_url: osm_guidepost_path(@osm_guidepost) # nelze rovnou guidepost, protože možná že ještě neexistuje
    }
  end  
  
  def perform
    @guidepost = Guidepost.new if @guidepost.nil? # pokud guidepost neexistuje, tak ho vyrob 
    @guidepost.update(
      lat: @osm_guidepost.lat,
      lon: @osm_guidepost.lon,
      osmid: @osmid,
      sez_guidepost_id: @sezid
    )
  end
    
end

